#
# spec file for package python-num2words
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-num2words
Version:        0.5.10
Release:        lp152.1.1
Summary:        Modules to convert numbers to words
License:        LGPL-2.1-only
Group:          Development/Languages/Python
Url:            https://github.com/savoirfairelinux/num2words
Source:         https://files.pythonhosted.org/packages/source/n/num2words/num2words-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module delegator.py}
BuildRequires:  %{python_module docopt >= 0.6.2}
BuildRequires:  %{python_module pytest}
# /SECTION
Requires:       python-docopt >= 0.6.2
BuildArch:      noarch

%python_subpackages

%description
num2words is a library that converts numbers like "42" to words like "forty-two".
It supports multiple languages and can even generate ordinal numbers like "forty-second"
(although this last feature is a bit buggy for some languages at the moment).

%prep
%setup -q -n num2words-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# one test failing
%pytest -k "not test_cli_with_lang_to" tests

%files %{python_files}
%doc CHANGES.rst README.rst
%license COPYING
%{python_sitelib}/*
%python3_only %{_bindir}/num2words

%changelog
* Tue Jun  4 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to 0.5.10
  * Add Kannada language localization (#243)
  * Revert some copyrights changed by mistake (#254)
  * Add indian rupee to the supported currencies (#248)
  * Improve currency functions for German and French (#247)
  * Improve Slovene localization (#246)
  * Improve Spanish localization (#240)
  * Fix typo 'seperator' on source code (#238)
  * Convert string to decimal values (#223)
  * Improve German localization and test coverage (#237)
  * Improve Polish localization (#233)
  * Fix ordinal number for French ending on 1 (#236)
* Fri Apr 12 2019 pgajdos@suse.com
- version update to 0.5.9
  * Fix encoding issue on release 0.5.8 (#229)
  * Improve Polish localization (#228)
  * Add Portuguese (Portugal) localization (#198)
  * Add a command line tool to use num2words
  * Use language iso code for Vietnamese
  * Improve Korean localization (#219)
  * Improve Serbian (Latin) localization (#207)
  * Improve testing setup (#220)
  * Improve German localization (#214) (#222)
  * Improve Romanian localization (#215)
  * Improve Spanish localization (#187) (#200)
  * Improve Russian localization (#211) (#212)
  * Improve French localization (23902ab)
  * Improve Arabic localization (#176)
  * Improve Lithuanian and Latvian localization (#185)
  * Improve Ukrainian localization (#183)
  * Add Finnish localization. (#170)
  * Add Japanese localization. (#171)
  * Add belgian-french localization. (#151)
  * Add Czech localization. (#154)
  * Add Thai localization. (#139)
  * Improve English localization. (#144)
  * Improve Spanish localization. (#167)
  * Improve Italian localization. (#143)
  * Improve documentation. (#155, #145, #174)
* Wed Dec 19 2018 Jan Engelhardt <jengelh@inai.de>
- Trim bias from summary.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue Mar  6 2018 alarrosa@suse.com
- Initial release of python-num2words 0.5.6
